Subject: bug#28550: 25.2; Hydra: First example hydra in the docs doesn't work

From: Noam Postavsky <[email-masked]>
Date: Sun, 28 Jan 2018 15:29:14 -0500

[email-masked] (N. Jackson) writes:

> At 17:54 +0200 on Friday 2017-09-22, Oleh Krehel wrote:
>>
>> 1. Remove ~/.emacs.d/elpa/hydra
>> 2. Start emacs-25.2 -Q
>> 3. Install hydra
>> 4. Paste the code you mentioned.
>>
>> Everything still works.
>
> At 14:56 +0200 on Saturday 2017-09-23, Oleh Krehel wrote:
>>
>> Please try to reproduce with my steps (especially emacs -Q and
>> remove/reinstall). There's likely no reason for this code to
>> stop working other than byte-compilation or config bug: it's
>> worked fine for 2 months without anyone else complaining.

> 10. I hit F2 to run it.
>
> I got the same results as reported in my OP.
>
> And, again, (as mentioned in my previous post) running
>
>   (defhydra hydra-zoom ()
>     "zoom"
>     ("g" text-scale-increase "in")
>     ("l" text-scale-decrease "out"))
>
>   (global-set-key (kbd "<f2>") 'hydra-zoom/body)
>
> here instead, works fine.

Same here.  I can't see how it could operate differently, so I'm
wondering if this is just confusion of expectations.

Oleh, when you say "everything works", do you mean everything listed in
the README?  The thing the OP is saying doesn't work is not mentioned in
the docs, e.g., it says

    - Start zooming in with <f2> g

It never says "hit <f2> and *immediately* get prompted".